Subject: Re: bug#38223: grep >=2.28 cannot handle -wF correctly under LANG=ja_JP.eucjp

From: Norihiro Tanaka <[email-masked]>
Date: Sun, 17 Nov 2019 17:04:18 +0900

On Sat, 16 Nov 2019 22:45:56 -0800
Jim Meyering <[email-masked]> wrote:

> On Sat, Nov 16, 2019 at 8:36 PM Jim Meyering <[email-masked]> wrote:
> > On Sat, Nov 16, 2019 at 4:02 PM Norihiro Tanaka <[email-masked]> wrote:
> > > On Sat, 16 Nov 2019 11:00:38 -0800
> > > Jim Meyering <[email-masked]> wrote:
> > >
> > > > I've pushed the complete fix here:
> > > > https://git.savannah.gnu.org/cgit/grep.git/commit/?id=090a4dbe03951e427f03f83be424caacc3303799
> > > >
> > > > I've also fixed the comment and a variable name and updated gnulib to latest.
> > >
> > > After patched, I found extreamly slowdown.
> > >
> > >   yes $(printf %040d 0) | head -1000000 >k
> > >   time -p env LC_ALL=ja_JP.eucjp src/grep -F -w 0 k
> > >
> > > First patch fixes it, and second improves performance more.
> >
> > Nice. Thank you!
> > Those look fine, at first glance, modulo these minor changes that I
> > expect to merge into the latter:
> 
> Thanks again, Norihiro Tanaka.
> I have also adjusted commit log wording and added comments for the new
> mbclen parameter. I've attached the two commits that I expect to push
> tomorrow, assuming no objection.

Thanks for the adjustment.  I have no objection to the content.